Skip to main content
POST
/
api
/
v1
/
accounting
/
journal-entries
Crear asiento manual
curl --request POST \
  --url https://api.lapyme.com.ar/api/v1/accounting/journal-entries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "occurred_at": "2023-12-25",
  "description": "<string>",
  "lines": [
    {
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "debit": 123,
      "credit": 123,
      "entered_debit": 123,
      "entered_credit": 123,
      "cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cost_center2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cost_center3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>"
    }
  ],
  "reference": "<string>",
  "exchange_rate": 123,
  "expected_updated_at": "2023-11-07T05:31:56Z"
}
'
{
  "request_id": "<string>",
  "data": {
    "journal_entry": {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "idempotent_replay": true
  },
  "warnings": [
    "<unknown>"
  ]
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Headers

Idempotency-Key
string
required

Clave estable para deduplicar reintentos de la misma operación.

Body

application/json
occurred_at
string<date>
required
description
string
required
lines
object[]
required
reference
string | null
exchange_rate
number | null
expected_updated_at
string<date-time>

Response

Asiento manual creado

request_id
string
required
data
object
required
warnings
any[]
required